Index: tests/exceptions/hotpotato.cfa
===================================================================
--- tests/exceptions/hotpotato.cfa	(revision 7a925a41a1a11e36e1066349f121f6d9e8d91246)
+++ tests/exceptions/hotpotato.cfa	(revision f0c9c9b16cd1d7a36d8412b7e46a990e61d51543)
@@ -5,7 +5,7 @@
 
 struct Potato {
-        PRNG & prng;
-        unsigned int deadline;                                                          // when timer goes off
-        unsigned int timer;                                                                     // up counter to deadline
+	PRNG & prng;
+	unsigned int deadline;								// when timer goes off
+	unsigned int timer;									// up counter to deadline
 }; // Potato
 
@@ -16,11 +16,11 @@
 	&potato.prng = &prng;
 	reset( potato, maxTicks );
-} // Potato
+		} // Potato
 
 coroutine Player {
-        PRNG & prng;
-        int id;                                                                                         // player identity
-        Potato & potato;                                                                        // potato being tossed
-        Player * partner[2];                                                            // left and right player
+	PRNG & prng;
+	int id;												// player identity
+	Potato & potato;									// potato being tossed
+	Player * partner[2];								// left and right player
 }; // Player
 
@@ -29,5 +29,5 @@
 	player.id = id;
 	&player.potato = &potato;
-} // Player
+		} // Player
 
 Player & umpire;
@@ -39,5 +39,5 @@
 
 void reset( Potato & potato, unsigned int maxTicks ) with(potato) {
-  if ( maxTicks < 2 ) abort( "Hot Potato initialized with less than 2 ticks" ); // optional
+	if ( maxTicks < 2 ) abort( "Hot Potato initialized with less than 2 ticks" ); // optional
 	deadline = prng( prng, 1, maxTicks );
 	timer = 0;
@@ -60,6 +60,6 @@
 enum { LEFT = 0, RIGHT = 1 };
 
-static void vote( Player & player, Election & election ) {					// cause partner to vote
-    resumeAt( player, election );
+static void vote( Player & player, Election & election ) { // cause partner to vote
+	resumeAt( player, election );
 	resume( player );
 } // vote
@@ -76,24 +76,24 @@
 
 void main( Player & player ) with(player) {
-    suspend;									// return immediately after establishing starter
+	suspend;											// return immediately after establishing starter
 	try {
-        for ( ;; ) {
-            poll();                                     // check for non-local exceptions before proceeding
-
-            if ( partner[LEFT] == &player ) {			// stop when only one player
-                sout | id | " wins the Match!";
-                return;
-            } // exit
-            
-            countdown( potato );				// player is eliminated if countdown() returned true
-            
-            size_t side = prng( prng, 2 );
-            sout | id | " -> " | nonl;
-            resume( *partner[ side ] );			// random toss left/right
-        } // for
+		for ( ;; ) {
+			poll();										// check for non-local exceptions before proceeding
+
+			if ( partner[LEFT] == &player ) {			// stop when only one player
+				sout | id | " wins the Match!";
+				return;
+			} // exit
+
+			countdown( potato );						// player is eliminated if countdown() returned true
+
+			size_t side = prng( prng, 2 );
+			sout | id | " -> " | nonl;
+			resume( *partner[ side ] );					// random toss left/right
+		} // for
 	} catchResume( Terminate * v ) {
 		v->victim->partner[LEFT]->partner[RIGHT] = v->victim->partner[RIGHT]; // unlink node
 		v->victim->partner[RIGHT]->partner[LEFT] = v->victim->partner[LEFT];
-        delete( v->victim );
+		delete( v->victim );
 		reset( potato );
 		sout | "U " | nonl;								// start new game
@@ -102,18 +102,18 @@
 		sout | "election";
 		sout | " -> " | id | nonl;
-		if ( id > getId( umpire ) ) &umpire = &player; // set umpire to highest id so far
+		if ( id > getId( umpire ) ) &umpire = &player;	// set umpire to highest id so far
 		vote( *partner[RIGHT], *election );
 	} catchResume ( Explode * ) {
-        sout | id | " is eliminated";
-        if ( &player == &umpire ) {
-            id = -1;					// remove from election
-            vote( *partner[RIGHT], ExceptionInst( Election ) );		// start election
-            try { poll(); } catchResume( Election * election ) {} // handle end of election
-            sout | " : umpire " | getId( umpire );
-        } // if
-        resumeAt( umpire, ExceptionInst( Terminate, &player ) );
-        resume( umpire );                   // resume umpire to terminate this player
-        assert( false );					// no return
-    } // try
+		sout | id | " is eliminated";
+		if ( &player == &umpire ) {
+			id = -1;									// remove from election
+			vote( *partner[RIGHT], ExceptionInst( Election ) );	// start election
+			try { poll(); } catchResume( Election * election ) {} // handle end of election
+			sout | " : umpire " | getId( umpire );
+		} // if
+		resumeAt( umpire, ExceptionInst( Terminate, &player ) );
+		resume( umpire );								// resume umpire to terminate this player
+		assert( false );								// no return
+	} // try
 } // main
 
@@ -151,11 +151,11 @@
 		  case 1: ;										// defaults
 		  default:										// too many arguments
-			throw ExceptionInst( cmd_error );
+			  throw ExceptionInst( cmd_error );
 		} // choose
 	} catch( exception_t * ) {							// catch any
 		exit | "Usage: " | argv[0]
-			 | " [ games (>=0) | 'd' (default " | DefaultGames
-			 | ") [ players (>=2) | 'd' (random " | MinNoPlayers | "-" | MaxNoPlayers
-			 | ") [ seed (>0) | 'd' (random) ] ] ]";
+			| " [ games (>=0) | 'd' (default " | DefaultGames
+			| ") [ players (>=2) | 'd' (random " | MinNoPlayers | "-" | MaxNoPlayers
+			| ") [ seed (>0) | 'd' (random) ] ] ]";
 	} // try
 	sout | numGames | numPlayers | seed;
